<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:custom="http://schemas.android.com/apk/res-auto"
    xmlns:emojicon="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="6dp"
    android:layout_marginBottom="6dp"
    android:paddingLeft="40dp"
    android:paddingEnd="40dp"
    android:paddingRight="0dp"
    android:paddingStart="0dp"
    android:paddingBottom="0dp">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/chat_item_contact_image"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:contentDescription="@null"
        android:scaleType="centerCrop"
        tools:src="@drawable/avatar" />

    <RelativeLayout
        style="@style/LeftChatItemRelativeLayout"
        android:padding="7dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:layout_marginStart="5dp"
        android:layout_toEndOf="@id/chat_item_contact_image"
        android:layout_toRightOf="@id/chat_item_contact_image"
        >

        <TextView
            android:id="@+id/chat_item_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:textColor="@color/colorManatee"
            android:textSize="10sp"
            tools:ignore="SmallSp"
            tools:text="Sasha Grey | 15:23"
            tools:visibility="visible"/>

        <ImageView
            android:id="@+id/chat_item_file"
            android:layout_width="wrap_content"
            android:layout_height="120dp"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:layout_below="@id/chat_item_time"
            android:layout_marginTop="4dp"
            android:adjustViewBounds="true"
            android:contentDescription="@null"
            android:scaleType="fitCenter"
            android:visibility="gone"
            tools:src="@drawable/document"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/chat_item_file_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/chat_item_file"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:textColor="@color/colorBlack"
            android:visibility="gone"
            tools:visibility="visible"
            tools:text="MyFile.txt"/>

        <com.github.lzyzsd.circleprogress.DonutProgress
            android:id="@+id/chat_item_progress"
            android:layout_width="90dp"
            android:layout_height="90dp"
            android:layout_below="@id/chat_item_time"
            android:layout_marginTop="4dp"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:visibility="gone"
            custom:donut_finished_color="@color/colorDefault"
            custom:donut_text_color="@color/colorBlack"
            tools:visibility="visible"
            />

        <hani.momanii.supernova_emoji_library.Helper.EmojiconTextView
            android:id="@+id/chat_item_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/chat_item_file_name"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            emojicon:emojiconSize="20sp"
            style="@style/BaseChatItemText"
            android:textColor="@color/colorLeftChat"
            tools:text="Meine Freundin, die Maschine. Als sie mein Herz für sich gewann. Mit ihren ganzen kleinen Geschwistern, mit denen man alles machen kann."
            />

    </RelativeLayout>


</RelativeLayout>